Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 273996

Summary: sci-libs/arprec: fails to build with gcc-4.4
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: Andrey Grozin <grozin>
Status: RESOLVED FIXED    
Severity: normal CC: esigra, sci
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 249226    
Attachments: Build log
Patch allowing sci-libs/arprec-2.2.2 to build against gcc 4.4

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-13 12:09:38 UTC
As per summary, check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-13 12:10:40 UTC
Created attachment 194526 [details]
Build log
Comment 2 Andrey Grozin gentoo-dev 2009-06-13 20:34:50 UTC
If you just add
#include <stdio.h>
near the top of dotd.cpp, will it compile? I cannot check, because it compiles fine for me (gcc-4.3.2-r3).
Comment 3 Víctor Ostorga (RETIRED) gentoo-dev 2009-07-02 18:19:57 UTC
Created attachment 196400 [details, diff]
Patch allowing sci-libs/arprec-2.2.2 to build against gcc 4.4
Comment 4 Andrey Grozin gentoo-dev 2009-07-03 12:57:16 UTC
Many thanks. In cvs.
Comment 5 Samuli Suominen gentoo-dev 2009-07-30 08:14:04 UTC
*** Bug 277736 has been marked as a duplicate of this bug. ***